// 监听右键使用木棍事件，每次使用都消耗木棍并执行 /fly @p

ItemEvents.rightClicked('kubejs:stage_accelerator_2', event => {
    const { player, server, item } = event

    // 执行后台指令，强制设置MA3阶段为5
    server.runCommandSilent(`mna progression tier 5 @p`)


    item.count--  // 如果木棍数量为1，减1后变为0，会自动消失

    // 可选：给玩家一个简洁提示（/fly命令本身也会输出消息，这里可以省略）
    player.tell(Text.green('已覆盖当前MA3阶段'))
})

ItemEvents.rightClicked('kubejs:stage_accelerator_1', event => {
    const { player, server, item } = event


    // 执行后台指令，强制设置MA3阶段为3
    server.runCommandSilent(`mna progression tier 3 @p`)


    item.count--  // 如果木棍数量为1，减1后变为0，会自动消失

    // 可选：给玩家一个简洁提示（/fly命令本身也会输出消息，这里可以省略）
    player.tell(Text.green('已覆盖当前MA3阶段'))
})